Login package updates messages are incorrect

We have a couple of machines running 10.04 LTS and they have been showing messages similar to the following when you ssh to them.

11 packages can be updated.
7 updates are security updates.

And yet, when you do an update, there is nothing to update. There was a bug that caused the package update information to be incorrectly dumped into /etc/motd.tail and never updated. The bug was fixed, but the incorrect /etc/motd.tail was never cleaned up. This can be fixed by removing /etc/motd.tail. The correct information will be generated when available in /var/run/motd.

Reference: http://old.nabble.com/Where-does-the-%22n-packages-can-be-upgraded%22-message-come-from-td31632514.html

Leave a Reply

Your email address will not be published. Required fields are marked *